Skip to content
On this page

Get Photo Match Request Details

Endpoint for getting photo match request details by Id.

Endpoints

EnvironmentURL
Sandboxhttps://api-test.streamline.laboremus.ug/idv/api/biometrics/photomatch/{id}?v=2.0
Productionhttps://api.streamline.laboremus.ug/idv/api/biometrics/photomatch/{id}?v=2.0

Request

Request Type : GET

Authorization

INFO

Always add your Subscription key to the request.

Path Parameters

NameTypeRequiredDescription
idstring(uuid)yesThe Unique ID of the id photo match request

Query Parameters

NameTypeRequiredDescription
vstringyesThe API Version

Result

The result for a photo match request

NameTypeDescription
idstringUnique Id of the request
externalReferencestring or nullExternal reference for the request if it exists
resultobjectThe result for a photo match request
idFrontFacestring or nullThe unique id for the ID front face image
selfiestring or nullThe unique id for the selfie image
initiatorstring or nullThe names of the request initiator
initiatorIdstring or nullThe unique id of the request initiator
receivedAtstring or null (date-time)Date the request was received
completedAtstring or null (date-time)Date the request was completed
requestStatusinteger (Enum: 1, 2, 3)The stage of processing at which the request is

Example Response Body

Content type

application/json

json
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "externalReference": null,
  "result": {
    "match": null,
    "score": null,
    "comment": null,
    "status": null,
    "percentageScore": null,
    "isError": null,
    "errorMessage": null
  },
  "idFrontFace": null,
  "selfie": null,
  "initiator": null,
  "initiatorId": null,
  "receivedAt": null,
  "completedAt": null,
  "requestStatus": 1
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "externalReference": null,
  "result": {
    "match": null,
    "score": null,
    "comment": null,
    "status": null,
    "percentageScore": null,
    "isError": null,
    "errorMessage": null
  },
  "idFrontFace": null,
  "selfie": null,
  "initiator": null,
  "initiatorId": null,
  "receivedAt": null,
  "completedAt": null,
  "requestStatus": 1
}

Error Response

400 The request data is invalid

application/json

NameTypeDescription
typestring or nullType of error response
titlestring or nullThe title of the error response
statusinteger(int32)The status of the error response
traceIdstring or nullThe traceId of the error request producing the error
errorsobjectObject defining the errors

errors

NameTypeDescription
propertyArray of stringsThe definition of the errors

401 Not authorized to access the endpoint

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

403 Refuse to authorize access to the endpoint

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

404 Request does not exist

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

500 The server encountered an unexpected error

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

Tech Served Right